curl --request GET \
--url https://api.aries.com/v1/scan/pattern \
--header 'Authorization: Bearer <token>'{
"data": {
"points": [
{
"aprice": 213.58,
"atime": 1745971200,
"bprice": 0,
"btime": 0,
"cprice": 0,
"ctime": 0,
"dprice": 197.02,
"dtime": 1746489600,
"end_price": 0,
"end_time": 0,
"entry": 0,
"eprice": 0,
"etime": 0,
"mature": 1,
"patternname": "two black gapping",
"patterntype": "bearish",
"profit1": 0,
"profit2": 0,
"sortTime": 1746489600,
"start_price": 0,
"start_time": 0,
"status": "complete",
"stoploss": 0,
"symbol": "AAPL.US",
"terminal": 0
}
]
}
}Retrieve detected chart patterns such as head and shoulders, triangles, and double tops/bottoms. Identify potential breakout and reversal setups.
Use Case: Alert traders when a bullish ascending triangle pattern is detected on a stock chart.
curl --request GET \
--url https://api.aries.com/v1/scan/pattern \
--header 'Authorization: Bearer <token>'{
"data": {
"points": [
{
"aprice": 213.58,
"atime": 1745971200,
"bprice": 0,
"btime": 0,
"cprice": 0,
"ctime": 0,
"dprice": 197.02,
"dtime": 1746489600,
"end_price": 0,
"end_time": 0,
"entry": 0,
"eprice": 0,
"etime": 0,
"mature": 1,
"patternname": "two black gapping",
"patterntype": "bearish",
"profit1": 0,
"profit2": 0,
"sortTime": 1746489600,
"start_price": 0,
"start_time": 0,
"status": "complete",
"stoploss": 0,
"symbol": "AAPL.US",
"terminal": 0
}
]
}
}Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
(Required) Stock ticker symbol
(Required) Chart resolution
Successful response
Technical pattern scan data wrapper
Show child attributes
Was this page helpful?